@charset "utf-8";

body {
	font-family: 'Lato', sans-serif;

	/*font-family: Gotham, "Helvetica Neue", Helvetica, Arial, sans-serif;*/
	color: #5B5B5B;
	font-size: 1em;
	margin: 0;
	padding: 0;
	padding-right: 17px; /*initial padding for scrollbar*/
}

/*#chart text {*/
#chart .nvd3 text {
	font-family: 'Lato', sans-serif;
	font-weight: bold;
}

a:hover {cursor: pointer}

.hidden {
	display: none
}
.headerBar {
	/*background-color: #60599B;*/
	/*background-color: #444;*/
	background-color: #5c8727;
	margin: 0 auto;
	padding: 10px 30px;
	height: 70px;
	display:flex;
	align-items:center;
	justify-content:center;
}

h1 {margin:0;}

.mainContainer {
	width: 95%;
	padding: 0 20px;
}



#chart svg {
  /*height: 100vh;*/
	/*height: auto;*/
}



.pageHeader, .headerBar img {
	float: left;
}
.pageHeader {
	flex: 1 1 auto;
	align-content:center;
	font-size: 1.3em;
	color: rgba(255,255,255,1.00);
	/*margin: 0 0 0 40px;*/
	margin: 0;
	padding: 0;
}
.chartsContainer {
	padding: 20px 10px 20px;
	float: left;
	width: 33%;
}
.listContainer {
	padding: 20px 10px;
	width: 63%;
	float: left;
}
.list {
	margin: 0px auto;
}
.listHeader, .chartHeader {
	font-weight: bold;
	background-color: rgba(232,232,232,1.00);
	color: #B0B0B0;
	border-bottom: thick solid rgba(222,222,222,1.00);
	padding: 10px 0px 10px;
}

.listHeader {
	text-align: left;
	margin: 0px auto;
	padding-left: 24px;
}
#gauges, #stacked-bar-container {
	/*width: 90%;
	margin: 0px auto 90px;*/
	text-align: center;
}
/*#gauges {height: 900px}*/

/*#gaugechartContainer, #stacked-bar-container{
	height: 450px;
}*/

/*#gaugechartContainer {
margin-bottom: 90px;

}*/

.chartHeader {
	text-align: center;
	margin: 0px auto 20px;

}
#gaugeChartHeader {
	margin-bottom: 10px;
}
#stacked-barHeader {
	margin: 0 auto 10px;
}
#gaugechartLegend {
	width: 55%;
	margin: 60px auto 90px;
	height: 190px;
}
.gaugechartLegendElements {
	width: 100%;
	height: 22px;
	float: left;
	text-align: left;
	font-weight: bold;
	font-size: .9em;
	color: rgba(255,255,255,.5);
	margin: 2px auto;
	padding: 8px 0px 4px 24px;
	border-radius: 0px 18px 18px 0px;
}
#blastoffLegend {
	background-color: rgba(95,139,149,1.00);
}
#ferrofluidLegend {
	background-color: rgba(186,77,81,1.00);
}
#infraredLegend {
	background-color: rgba(175,138,83,1.00);
}
#buildingLegend {
	background-color: rgba(149,95,113,1.00);
}
#geologyLegend {
	background-color: rgb(133, 150, 102);
}
#electricityLegend {
	background-color: rgb(126, 104, 140);
}

#finishedCountContainer {
	width: 90%;
	margin: 15px auto;
	background: rgba(245,245,245,1.00);
	border-bottom: thick solid rgba(222,222,222,1.00);
}
#finishedTable {
	margin: -25px auto;
	padding-bottom: 20px;
}
#finishedCount, #finishedCountText {
	text-align: left;
	vertical-align: middle;
	color: #b0b0b0;
}
#finishedCount {
	font-size: 12em;
}
#finishedCountText {
	font-size: 1.4em;
}
#qrcode {
	margin: 20px auto -60px;
	text-align: center;
	float: left;
}
#qrcode-bottom {
	max-width: 40%;
	margin: 0px auto;
}
.loadBtn {
	margin: 2px 20px 0;
	padding: 6px 15px;
	font-weight: bold;
	font-size: .55em;
	background-color: rgba(216,216,216,1.00);
	color: #fff;
	box-shadow: none;
	border: none;
	border-radius: 6px;
		width: 180px;
}
#loadStream {
	float: right;
}
#clicktohide {
	font-size: .7em;
	color: rgba(255,255,255,0.20);
	margin: 0px;
}
.loadBtn:focus {
	outline: none;
}
.loadBtn:hover {
	background-color: rgba(195,195,195,1.00);
}
.loadBtn:active {
	background-color: rgba(165,165,165,1.00);
}
.loadBtn {
	cursor: pointer
}
#glassBtn.loadBtn:hover {
	background-color: rgba(195,195,195,1.00);
}
.hidden {
	display: none;
}
#boldglass {
	color: rgba(0,0,0,0.5);
}
#enableLabelsLabel {
	cursor: pointer;
}
.popoverPage {
	width: 100%;
	position: absolute;
	z-index: 20;
	background: rgba(0,0,0,0.85);
	top: 0;
}
.filterInstr {
	font-style: italic;
	font-size: 12px;
	text-align: left;
	margin: 0;
	margin-top: -5px;
	margin-bottom: 3px;
}
#clearFilterBtn {
	background-color: #848484;
	font-size: 14px;
	margin: 8px;
}
.filterName {
	font-style: italic;
	font-weight: 100;
}
.filteredContainer {
	margin: 30px 150px;
	padding: 30px;
	background: #FFFFFF;
	z-index: 30px;
	border-radius: 15px;
}
.closeFiltered {
	position: absolute;
	top: 10px;
	right: 10px;
}

.filter-table {color:#686868;}

.filter-table .quick {
	margin-left: 1em;
	font-size: 0.8em;
	text-decoration: none;
	color: #fff;
	background-color: #BFBFBF;
	padding: 3px 8px;
	border-radius: 3px;
}
.filter-table .quick:hover {background-color: #D5D5D5;}

#clearSearchBtn {background-color: #839298;}
#clearSearchBtn:hover {opacity:.7}

/*.gaugechartLegendElements:hover,
.name:hover,
.verb:hover,
.paragraphAnswer:hover,
.exhibitName:hover {
	cursor: pointer;
	background-color: #E0E7F5;
}*/

.gaugechartLegendElements:hover {
	background:#FFFFFF;
	opacity:.5;
}

.gaugechartLegendElements:active {opacity:.1;}

.tableRow {
	cursor: pointer;
}

pre {
	word-wrap: break-word;
	line-height: 1.6em;
}

/* start on/off switch css  ------------------------------------------------------------------------- */

.field {
	font-size: .5em;
	float: right;
	margin: 2px 30px 10px 0px;
}
.fieldText {
	font-size: .6em;
	float: right;
	margin: 8px 12px 0px;
}
.cb-enable, .cb-disable, .cb-enable span, .cb-disable span {
	background: url(../img/switch.png) repeat-x;
	display: block;
	float: left;
}
.cb-enable span, .cb-disable span {
	line-height: 30px;
	display: block;
	background-repeat: no-repeat;
	font-weight: bold;
}
.cb-enable span {
	background-position: left -90px;
	padding: 0 10px;
}
.cb-disable span {
	background-position: right -180px;
	padding: 0 10px;
}
.cb-disable.selected {
	background-position: 0 -30px;
}
.cb-disable.selected span {
	background-position: right -210px;
	color: #fff;
}
.cb-enable.selected {
	background-position: 0 -60px;
}
.cb-enable.selected span {
	background-position: left -150px;
	color: #fff;
}
.switch label {
	cursor: pointer;
}
.switch input {
	display: none;
}
/* end switch css  ------------------------------------------------------------------------- */


/* Table Styles ---------------------------------- */
#mainTable, #filteredTable {
	border-collapse: collapse;
	width: 100%;
}
#mainTable td, #filteredTable td {
	background-color: rgba(247,247,247,1.00);
	border-top: 3px solid rgba(222,222,222,1.00);
	vertical-align: middle;
	/*padding: 6px 5px 6px;*/
		padding: 8px 5px 8px 24px;
	width: auto;
}
.headshot img {
	vertical-align: middle;
	border-radius: 7px;
	width: 50px;
}

img:hover {cursor:pointer;}

.fullText p {
	margin: 0;
	padding: 0;
}
.name, .verb, .exhibitName, .response {
	font-weight: bold;
	font-style: normal;
}
.name, .response {
	color: #D10003;
}

.response {
	font-style: italic;
}

.timestamp {
	font-weight: lighter;
	font-size: 0.9em;
	color: #ADADAD;
}

.view-json {
	background: #5c8727;
	float: right;
	padding: 2px 9.5px;
	margin: 0 12px;
	color: white;
	font-weight: bold;
	font-size: 1.4em;
	border-radius: 50%;
	transition: background 0.5s ease;
	-webkit-transition-duration: 0.5s;
	    -moz-transition-duration: 0.5s;
	    -o-transition-duration: 0.5s;
	    transition-duration: 0.5s;
	    -webkit-transition-property: -webkit-transform;
	    -moz-transition-property: -moz-transform;
	    -o-transition-property: -o-transform;
	    transition-property: transform;
}

/* preloader animation ---------------------------------------------------------------------------------*/

#followingBallsG {
	position: relative;
	width: 256px;
	height: 20px;
}
.followingBallsG {
	background-color: #DBDBDB;
	position: absolute;
	top: 0;
	left: 0;
	width: 20px;
	height: 20px;
	-moz-border-radius: 10px;
	-moz-animation-name: bounce_followingBallsG;
	-moz-animation-duration: 1.3s;
	-moz-animation-iteration-count: infinite;
	-moz-animation-direction: linear;
	-webkit-border-radius: 10px;
	-webkit-animation-name: bounce_followingBallsG;
	-webkit-animation-duration: 1.3s;
	-webkit-animation-iteration-count: infinite;
	-webkit-animation-direction: linear;
	-ms-border-radius: 10px;
	-ms-animation-name: bounce_followingBallsG;
	-ms-animation-duration: 1.3s;
	-ms-animation-iteration-count: infinite;
	-ms-animation-direction: linear;
	-o-border-radius: 10px;
	-o-animation-name: bounce_followingBallsG;
	-o-animation-duration: 1.3s;
	-o-animation-iteration-count: infinite;
	-o-animation-direction: linear;
	border-radius: 10px;
	animation-name: bounce_followingBallsG;
	animation-duration: 1.3s;
	animation-iteration-count: infinite;
	animation-direction: linear;
}
#followingBallsG_1 {
	-moz-animation-delay: 0s;
}
#followingBallsG_1 {
	-webkit-animation-delay: 0s;
}
#followingBallsG_1 {
	-ms-animation-delay: 0s;
}
#followingBallsG_1 {
	-o-animation-delay: 0s;
}
#followingBallsG_1 {
	animation-delay: 0s;
}
#followingBallsG_2 {
	-moz-animation-delay: 0.13s;
	-webkit-animation-delay: 0.13s;
	-ms-animation-delay: 0.13s;
	-o-animation-delay: 0.13s;
	animation-delay: 0.13s;
}
#followingBallsG_3 {
	-moz-animation-delay: 0.26s;
	-webkit-animation-delay: 0.26s;
	-ms-animation-delay: 0.26s;
	-o-animation-delay: 0.26s;
	animation-delay: 0.26s;
}
#followingBallsG_4 {
	-moz-animation-delay: 0.39s;
	-webkit-animation-delay: 0.39s;
	-ms-animation-delay: 0.39s;
	-o-animation-delay: 0.39s;
	animation-delay: 0.39s;
}
 @-moz-keyframes bounce_followingBallsG {
0% {
left:0px;
background-color:#DBDBDB;
}
 50% {
left:236px;
background-color:#FFFFFF;
}
 100% {
left:0px;
background-color:#DBDBDB;
}
}
 @-webkit-keyframes bounce_followingBallsG {
0% {
left:0px;
background-color:#DBDBDB;
}
 50% {
left:236px;
background-color:#FFFFFF;
}
 100% {
left:0px;
background-color:#DBDBDB;
}
}
 @-ms-keyframes bounce_followingBallsG {
0% {
left:0px;
background-color:#DBDBDB;
}
 50% {
left:236px;
background-color:#FFFFFF;
}
 100% {
left:0px;
background-color:#DBDBDB;
}
}
 @-o-keyframes bounce_followingBallsG {
0% {
left:0px;
background-color:#DBDBDB;
}
 50% {
left:236px;
background-color:#FFFFFF;
}
 100% {
left:0px;
background-color:#DBDBDB;
}
}
 @keyframes bounce_followingBallsG {
0% {
left:0px;
background-color:#DBDBDB;
}
 50% {
left:236px;
background-color:#FFFFFF;
}
 100% {
left:0px;
background-color:#DBDBDB;
}
}
/* end preloader ------------------------------------------------------------------------- */

/* animations for legend */

.element-animation {
	animation: element-animation ease .75s;
	animation-iteration-count: 1;
	transform-origin: 0% 50%;
	animation-fill-mode: forwards; /*when the spec is finished*/
	-webkit-animation: element-animation ease .75s;
	-webkit-animation-iteration-count: 1;
	-webkit-transform-origin: 0% 50%;
	-webkit-animation-fill-mode: forwards; /*Chrome 16+, Safari 4+*/
	-moz-animation: element-animation ease .75s;
	-moz-animation-iteration-count: 1;
	-moz-transform-origin: 0% 50%;
	-moz-animation-fill-mode: forwards; /*FF 5+*/
	-o-animation: element-animation ease .75s;
	-o-animation-iteration-count: 1;
	-o-transform-origin: 0% 50%;
	-o-animation-fill-mode: forwards; /*Not implemented yet*/
	-ms-animation: element-animation ease .75s;
	-ms-animation-iteration-count: 1;
	-ms-transform-origin: 0% 50%;
	-ms-animation-fill-mode: forwards; /*IE 10+*/
}
 @keyframes element-animation {
 0% {
 left:0px;
 top:0px;
 opacity:1;
 transform:  rotate(0deg) scaleX(0) scaleY(1) skewX(0deg) skewY(0deg);
}
 100% {
 left:0px;
 top:0px;
 opacity:1;
 transform:  rotate(0deg) scaleX(1) scaleY(1) skewX(0deg) skewY(0deg);
}
}
 @-moz-keyframes element-animation {
 0% {
 left:0px;
 top:0px;
 opacity:1;
 -moz-transform:  rotate(0deg) scaleX(0) scaleY(1) skewX(0deg) skewY(0deg);
}
 100% {
 left:0px;
 top:0px;
 opacity:1;
 -moz-transform:  rotate(0deg) scaleX(1) scaleY(1) skewX(0deg) skewY(0deg);
}
}
 @-webkit-keyframes element-animation {
 0% {
 left:0px;
 top:0px;
 opacity:1;
 -webkit-transform:  rotate(0deg) scaleX(0) scaleY(1) skewX(0deg) skewY(0deg);
}
 100% {
 left:0px;
 top:0px;
 opacity:1;
 -webkit-transform:  rotate(0deg) scaleX(1) scaleY(1) skewX(0deg) skewY(0deg);
}
}
 @-o-keyframes element-animation {
 0% {
 left:0px;
 top:0px;
 opacity:1;
 -o-transform:  rotate(0deg) scaleX(0) scaleY(1) skewX(0deg) skewY(0deg);
}
 100% {
 left:0px;
 top:0px;
 opacity:1;
 -o-transform:  rotate(0deg) scaleX(1) scaleY(1) skewX(0deg) skewY(0deg);
}
}
 @-ms-keyframes element-animation {
 0% {
 left:0px;
 top:0px;
 opacity:1;
 -ms-transform:  rotate(0deg) scaleX(0) scaleY(1) skewX(0deg) skewY(0deg);
}
 100% {
 left:0px;
 top:0px;
 opacity:1;
 -ms-transform:  rotate(0deg) scaleX(1) scaleY(1) skewX(0deg) skewY(0deg);
}
}
/* end animations for legend ---------------------------------------------*/
